public class CaRunner implements Runnable
{
  private SquareCell squareCell;
  
  public CaRunner(SquareCell squareCell)
  {
    this.squareCell = squareCell;
  }

  public void run()
  {
    try
    {
      while (squareCell.isRunning())
      { 
        squareCell.step();
        squareCell.drawDisplay();
        int delay = squareCell.getDelay();
        if (delay > 0)
          Thread.sleep(delay);
      }
    }
    catch (InterruptedException e)
    {
    }
  }
}
