#! /usr/bin/python

import os

def makeParams(s):
  s = s.strip()
  i1 = s.find("/")
  n = int(s[2:i1]) + 1
  p = "#States = " + str(n)
  i2 = s.find("+")
  p = p + "\n" + "#K = " + s[i1 + 1:i2]
  i3 = s.find(",")
  p = p + "\n" + "#L = " + s[i2 + 1:i3]
  i4 = s.find(",", i3 + 1)
  p = p + "\n" + "#M = " + s[i3 + 1:i4]
  p = p + "\n" + "#N = " + s[i4 + 1:] + "\n"
  return p

def strReplace(s):
  o = "0123456789abcdefghijklmnopq"
  n = ".ABCDEFGHIJKLMNOPQRSTUVWXYZ"
  for i in range(len(o)):
    s = s.replace(o[i], n[i])
  return s

def makePattern(s):
  s = s.strip()
  s = s[1:]
  s = s.replace("\n", "")
  s = strReplace(s)
  rows = s.split("/")
  outFile.write("#Rows = " + str(len(rows)) + "\n")
  outFile.write("#Columns = " + str(len(rows[0])) + "\n")
  p = ""
  for row in rows:
    p = p + "#L " + row + "$\n"
  return p[:-2]
  
def makeFileName(s):
  s = s[2:-1]
  s = s.replace("/", "_")
  s = s.replace(":", "_")
  return s
  
inFile = open("test", "r")
lines = inFile.read()
lines = lines[:-3]
inFile.close()
sqcPats = lines.split("],")
i = 0
for sqcPat in sqcPats:
  fields = sqcPat.split("\",")
  fileName = makeFileName(fields[2]) + "_" + str(i) + ".sqc"
  i = i + 1
  print(fileName)
  outFile = open(fileName, "w")
  params = makeParams(fields[0])
  outFile.write(params)
  pattern = makePattern(fields[1])
  outFile.write(pattern + "\n")
  outFile.close()
